org.apache.lucene.spatial3d.geom

## Interface GeoOutsideDistance

All Superinterfaces:
  Membership

All Known Subinterfaces:
  GeoAreaShape, GeoBBox, GeoCircle, GeoDistanceShape, GeoMembershipShape, GeoPath, GeoPointShape, GeoPolygon

All Known Implementing Classes:
  GeoBaseDistanceShape, GeoBaseMembershipShape, GeoCompositeAreaShape, GeoCompositeMembershipShape, GeoCompositePolygon, GeoDegenerateVerticalLine

    public interface GeoOutsideDistance
    extends Membership

Implemented by Geo3D shapes that can compute the distance from a point to the closest outside edge.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`double` `computeOutsideDistance(DistanceStyle distanceStyle, double x, double y, double z)` Compute this shape's distance to the GeoPoint.
`default double` `computeOutsideDistance(DistanceStyle distanceStyle, GeoPoint point)` Compute this shape's distance to the GeoPoint.

### Methods inherited from interface org.apache.lucene.spatial3d.geom.Membership

`isWithin, isWithin`

### Method Detail

#### computeOutsideDistance

    default double computeOutsideDistance(DistanceStyle distanceStyle,
                                          GeoPoint point)

Compute this shape's distance to the GeoPoint. A return value of 0.0 should be returned for points inside of the shape.

Parameters:
  `distanceStyle` - is the distance style.
  `point` - is the point to compute the distance to.
Returns:
  the distance.

#### computeOutsideDistance

    double computeOutsideDistance(DistanceStyle distanceStyle,
                                  double x,
                                  double y,
                                  double z)

Compute this shape's distance to the GeoPoint. A return value of 0.0 should be returned for points inside of the shape.

Parameters:
  `distanceStyle` - is the distance style.
  `x` - is the point's unit x coordinate (using U.S. convention).
  `y` - is the point's unit y coordinate (using U.S. convention).
  `z` - is the point's unit z coordinate (using U.S. convention).
Returns:
  the distance.